/*
***************************************************************************************
* Arquivo de cabealho para implementaes de um montador da arquitetura Mancha Mnimo.
***************************************************************************************
* Este arquivo pode ser utilizado livremente, desde que seja citada sua fonte.
* Curso de Cincia da Computao - Universidade Federal de Santa Maria
* Santa Maria, RS, Brasil - 2005
***************************************************************************************
*/

/*
***************************************************************** Definies principais
*/

#define NBUCKET		26	/* tamanho da tabela hash */


/* 
******************************************************************** Tabela de smbolos
*/

struct symdef{
	char *symname;
	char *def;
	struct symdef *next;
}


struct symdef *symhash[NBUCKET];	/* apontador para o vetor principal da tabela de hash */


/* 
************************************************** Tabela de referncias no resolvidas
*/

struct refaddr{			/* estrutura para armazenamento das referncias no preenchidas */
	char *addr;
	struct refaddr *next;
}

struct ref {			/* estrutura para armazenamento dos smbolos ainda no definidos */
	char *refname;
	struct ref *next;
	struct refaddr *next;
}

struct ref *reflist;		/* apontador para o incio da lista de referncias no resolvidas */
